#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARM64a5364"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64"
#define ATL_DKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -g -Wa,--noexecstack -fPIC -Os -fomit-frame-pointer -g3 -gdwarf-4 -Wstrict-aliasing=2 -pipe -D_FORTIFY_SOURCE=2 -fstack-protector-all --param=ssp-buffer-size=4 -Wl,-O2 -Wl,--no-undefined"
#define ATL_DKC "/usr/bin/aarch64-linux-gnu-gcc"
#define ATL_SKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -g -Wa,--noexecstack -fPIC -Os -fomit-frame-pointer -g3 -gdwarf-4 -Wstrict-aliasing=2 -pipe -D_FORTIFY_SOURCE=2 -fstack-protector-all --param=ssp-buffer-size=4 -Wl,-O2 -Wl,--no-undefined"
#define ATL_SKC "/usr/bin/aarch64-linux-gnu-gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a53 -mtune=cortex-a53 -fexpensive-optimizations -g -Wa,--noexecstack -fPIC -Os -fomit-frame-pointer -g3 -gdwarf-4 -Wstrict-aliasing=2 -pipe -D_FORTIFY_SOURCE=2 -fstack-protector-all --param=ssp-buffer-size=4 -Wl,-O2 -Wl,--no-undefined"
#define ATL_DMC "/usr/bin/aarch64-linux-gnu-gcc"
#define ATL_SMCFLAGS "-O2 -mcpu=cortex-a53 -mtune=cortex-a53 -g -Wa,--noexecstack -fPIC -Os -fomit-frame-pointer -g3 -gdwarf-4 -Wstrict-aliasing=2 -pipe -D_FORTIFY_SOURCE=2 -fstack-protector-all --param=ssp-buffer-size=4 -Wl,-O2 -Wl,--no-undefined"
#define ATL_SMC "/usr/bin/aarch64-linux-gnu-gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/ATLAS/aarch64_base/include -I/builddir/build/BUILD/ATLAS/aarch64_base/..//include -I/builddir/build/BUILD/ATLAS/aarch64_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64 -DWALL -DATL_FULL_LAPACK -DATL_NCPU=2 -mcpu=cortex-a53 -mtune=cortex-a53 -O2 -g -Wa,--noexecstack -fPIC -Os -fomit-frame-pointer -g3 -gdwarf-4 -Wstrict-aliasing=2 -pipe -D_FORTIFY_SOURCE=2 -fstack-protector-all --pa"
#define ATL_ICC "/usr/bin/aarch64-linux-gnu-gcc"
#define ATL_F77FLAGS "-O2 -mcpu=cortex-a53 -g -Wa,--noexecstack -fPIC -Os -fomit-frame-pointer -g3 -gdwarf-4 -Wstrict-aliasing=2 -pipe -D_FORTIFY_SOURCE=2 -fstack-protector-all --param=ssp-buffer-size=4 -Wl,-O2 -Wl,--no-undefined"
#define ATL_F77 "/usr/bin/gfortran-12.0.0"
#define ATL_DKCVERS "aarch64-linux-gnu-gcc (GCC) 12.0.0 20220313 (OpenMandriva)"
#define ATL_SKCVERS "aarch64-linux-gnu-gcc (GCC) 12.0.0 20220313 (OpenMandriva)"
#define ATL_DMCVERS "aarch64-linux-gnu-gcc (GCC) 12.0.0 20220313 (OpenMandriva)"
#define ATL_SMCVERS "aarch64-linux-gnu-gcc (GCC) 12.0.0 20220313 (OpenMandriva)"
#define ATL_ICCVERS "aarch64-linux-gnu-gcc (GCC) 12.0.0 20220313 (OpenMandriva)"
#define ATL_F77VERS "GNU Fortran (GCC) 12.0.0 20220313 (OpenMandriva)"
#define ATL_SYSINFO "Linux huaweiomv10.rosalinux.ru 4.18.0-147.0.3.el7.aarch64 #1 SMP Thu Dec 12 20:01:00 UTC 2019 aarch64 aarch64 aarch64 GNU/Linux"
#define ATL_DATE    "Mon Mar 21 01:17:34 UTC 2022"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
